class MineHeaderModel {
  String assistColor;
  String bgColor;
  String bgImage;
  String bottomLeftRadius;
  String bottomRightRadius;
  String coypeIcon;
  String desc;
  String invitedCodeColor;
  String isLeftRightMargin;
  String isShow;
  String isTopMargin;
  String leftRightMargin;
  String loginName;
  String loginNameHelpText;
  String lvBgImage;
  String lvNameColor;
  String moduleKey;
  String moduleType;
  String name;
  String nonLginAvatar;
  int requiredLogin;
  int requiredTaobaoAuth;
  String skipIdentifier;
  String themeColor;
  String themeType;
  String topLeftRadius;
  String topMargin;
  String topRightRadius;
  String userNameColor;

  MineHeaderModel(
      {this.assistColor,
        this.bgColor,
        this.bgImage,
        this.bottomLeftRadius,
        this.bottomRightRadius,
        this.coypeIcon,
        this.desc,
        this.invitedCodeColor,
        this.isLeftRightMargin,
        this.isShow,
        this.isTopMargin,
        this.leftRightMargin,
        this.loginName,
        this.loginNameHelpText,
        this.lvBgImage,
        this.lvNameColor,
        this.moduleKey,
        this.moduleType,
        this.name,
        this.nonLginAvatar,
        this.requiredLogin,
        this.requiredTaobaoAuth,
        this.skipIdentifier,
        this.themeColor,
        this.themeType,
        this.topLeftRadius,
        this.topMargin,
        this.topRightRadius,
        this.userNameColor});

  MineHeaderModel.fromJson(Map<String, dynamic> json) {
    assistColor = json['assist_color'];
    bgColor = json['bg_color'];
    bgImage = json['bg_image'];
    bottomLeftRadius = json['bottom_left_radius'];
    bottomRightRadius = json['bottom_right_radius'];
    coypeIcon = json['coype_icon'];
    desc = json['desc'];
    invitedCodeColor = json['invited_code_color'];
    isLeftRightMargin = json['is_left_right_margin'];
    isShow = json['is_show'];
    isTopMargin = json['is_top_margin'];
    leftRightMargin = json['left_right_margin'];
    loginName = json['login_name'];
    loginNameHelpText = json['login_name_help_text'];
    lvBgImage = json['lv_bg_image'];
    lvNameColor = json['lv_name_color'];
    moduleKey = json['module_key'];
    moduleType = json['module_type'];
    name = json['name'];
    nonLginAvatar = json['non_lgin_avatar'];
    requiredLogin = json['required_login'];
    requiredTaobaoAuth = json['required_taobao_auth'];
    skipIdentifier = json['skip_identifier'];
    themeColor = json['theme_color'];
    themeType = json['theme_type'];
    topLeftRadius = json['top_left_radius'];
    topMargin = json['top_margin'];
    topRightRadius = json['top_right_radius'];
    userNameColor = json['user_name_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['assist_color'] = this.assistColor;
    data['bg_color'] = this.bgColor;
    data['bg_image'] = this.bgImage;
    data['bottom_left_radius'] = this.bottomLeftRadius;
    data['bottom_right_radius'] = this.bottomRightRadius;
    data['coype_icon'] = this.coypeIcon;
    data['desc'] = this.desc;
    data['invited_code_color'] = this.invitedCodeColor;
    data['is_left_right_margin'] = this.isLeftRightMargin;
    data['is_show'] = this.isShow;
    data['is_top_margin'] = this.isTopMargin;
    data['left_right_margin'] = this.leftRightMargin;
    data['login_name'] = this.loginName;
    data['login_name_help_text'] = this.loginNameHelpText;
    data['lv_bg_image'] = this.lvBgImage;
    data['lv_name_color'] = this.lvNameColor;
    data['module_key'] = this.moduleKey;
    data['module_type'] = this.moduleType;
    data['name'] = this.name;
    data['non_lgin_avatar'] = this.nonLginAvatar;
    data['required_login'] = this.requiredLogin;
    data['required_taobao_auth'] = this.requiredTaobaoAuth;
    data['skip_identifier'] = this.skipIdentifier;
    data['theme_color'] = this.themeColor;
    data['theme_type'] = this.themeType;
    data['top_left_radius'] = this.topLeftRadius;
    data['top_margin'] = this.topMargin;
    data['top_right_radius'] = this.topRightRadius;
    data['user_name_color'] = this.userNameColor;
    return data;
  }
}

